Namespace
library
Image / Tag
consul:1.14.7
Content Digest
sha256:e8d5c752e29771d077123597b40c6e2f87ab7c9252c40d123784d128d03ce06f
Details
Created

2023-06-15 02:09:30 UTC

Size

52.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.14.7

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:74051fed7c11c74895f7583bcde366e9192af8539de4915832d9c990bd23f581 - 5.12% (2.7 MB)

[#001] sha256:c1a7b0777832ab41a213293ae6fe8387635051e4230d37f0530c4557c05afae5 - 0.0% (1.24 KB)

[#002] sha256:9419d1945453b686bef523fbad0f84e0f50be79d0685a43b73a012eef0a24dbf - 94.87% (50 MB)

[#003] sha256:37854b0fe089d09909e34d4c66fc7eb9e08fce3fbb3e5407adfd0eaefb3cb658 - 0.0% (174 Bytes)

[#004] sha256:778d35eb0679c0cbc03351be52db33dfcdf311de7128cb831039130c2da5b1de - 0.0% (153 Bytes)

[#005] sha256:34dbe13d617eb1937369e1808d5764593eed5ed5042c70dc8b6d1c0084d99342 - 0.0% (1.79 KB)


History
2023-06-14 22:33:34 UTC

/bin/sh -c #(nop) ADD file:92f6ab42e26a2cc37a3463b6f6508e29ae194413d31cb95f1609f93f32d2e94d in /

2023-06-14 22:33:34 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-06-15 02:09:19 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.7

2023-06-15 02:09:19 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.7 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-06-15 02:09:19 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-06-15 02:09:20 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-06-15 02:09:28 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-06-15 02:09:28 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-06-15 02:09:29 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-06-15 02:09:29 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-06-15 02:09:29 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-06-15 02:09:29 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-06-15 02:09:29 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-06-15 02:09:30 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2023-06-15 02:09:30 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-06-15 02:09:30 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2023-06-15 04:37:14 UTC

Size

54 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.14.7

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0cdfa0c98ed79707cd91c5dd7ebd282aa2b976d86a9e699d7fc188cdb6be390e - 4.99% (2.7 MB)

[#001] sha256:7e2bf0042f13fa6938db7559fda79379e742dc2eb071826ce723bcc7dab59212 - 0.0% (1.24 KB)

[#002] sha256:a3895709aa60c30d7eaacd2e1943b78715ba784d58ad5c6be7cbb33ed8d3c36d - 95.01% (51.3 MB)

[#003] sha256:532ca32bc16e301c2b072898f89b1aa0a91e02f266822ca90e93713cf2aebec8 - 0.0% (174 Bytes)

[#004] sha256:fa225917ca02a9045ae99ed5f22a935889d59f3a236a8fdba498ba5fb4a3bc70 - 0.0% (153 Bytes)

[#005] sha256:e3282456bb0331cb98324901c02d9e568950b87762004e781fb8120e1dea4abb - 0.0% (1.79 KB)


History
2023-06-14 20:42:13 UTC

/bin/sh -c #(nop) ADD file:4fa8e307f595ecff485113fb0ec6e2320979eaa6fb3eb467d2433771a6f016e6 in /

2023-06-14 20:42:13 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-06-15 04:37:06 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.7

2023-06-15 04:37:06 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.7 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-06-15 04:37:06 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-06-15 04:37:07 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-06-15 04:37:12 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-06-15 04:37:13 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-06-15 04:37:14 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-06-15 04:37:14 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-06-15 04:37:14 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-06-15 04:37:14 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-06-15 04:37:14 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-06-15 04:37:14 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2023-06-15 04:37:14 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-06-15 04:37:14 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2023-06-15 01:25:19 UTC

Size

51.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.14.7

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:41c5c5b38e13af18def277385607129664fb24993d262d4b601a381e776482a9 - 4.88% (2.51 MB)

[#001] sha256:c13258989c71f0866b1872bd573153814a2a2c93c342273fba4ed6a792182129 - 0.0% (1.24 KB)

[#002] sha256:9ac89fe99dbbe4eba59f1ca42f37934e55a7f59adb5a2c6b15c3240c07757181 - 95.11% (48.9 MB)

[#003] sha256:055f5d738f14227165a546d2e63c856023cabd733faa64ade1c794a78301fa45 - 0.0% (174 Bytes)

[#004] sha256:0acd9da5831b67d17370e2e34f2a3865d7048fc68c0917915f22644d29601761 - 0.0% (154 Bytes)

[#005] sha256:76516ecfce632226d1910cd73bf01b327c7f721fc24cdd90cb65dd3f2f1f2e87 - 0.0% (1.79 KB)


History
2023-06-14 18:49:32 UTC

/bin/sh -c #(nop) ADD file:b987db82fa4ce6e623de49a50612c1fd91c5ab2209a62a5727ab3436c2923e91 in /

2023-06-14 18:49:32 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-06-15 01:25:07 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.7

2023-06-15 01:25:07 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.7 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-06-15 01:25:07 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-06-15 01:25:08 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-06-15 01:25:16 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-06-15 01:25:16 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-06-15 01:25:17 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-06-15 01:25:18 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-06-15 01:25:18 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-06-15 01:25:18 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-06-15 01:25:18 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-06-15 01:25:18 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2023-06-15 01:25:18 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-06-15 01:25:19 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2023-06-14 22:38:27 UTC

Size

51 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.14.7

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:a147224bf413aeffbbfcdcb5104d35c647256a5c32083f4d8134f09a4e74ddeb - 5.09% (2.59 MB)

[#001] sha256:3e3fe053a164c645f70317c7bc8676a5770dcf79aad5cb1356b50793b522508e - 0.0% (1.24 KB)

[#002] sha256:c3394d2371b6ba9115f9694aa39ebf939fe622d48a753a5b13b07165906cc905 - 94.91% (48.4 MB)

[#003] sha256:f0246651a8e31d99cc664cbbe638b0385390e21b0f777043a794f1b0e322d898 - 0.0% (173 Bytes)

[#004] sha256:f7a0ac696786bf981eb29e9af83dd052a84b265f995bb0e83a655915aa59a201 - 0.0% (154 Bytes)

[#005] sha256:b42b83ab50c9178c73efb554ab56624fb60a8417235e401cb8477c31968e554d - 0.0% (1.79 KB)


History
2023-06-14 20:49:10 UTC

/bin/sh -c #(nop) ADD file:2b463f242cb7bf946452bb4781838348ecbe80da144fbab09f51d7e050dc68f3 in /

2023-06-14 20:49:11 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-06-14 22:38:18 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.7

2023-06-14 22:38:18 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.7 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-06-14 22:38:18 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-06-14 22:38:18 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-06-14 22:38:24 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-06-14 22:38:26 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-06-14 22:38:26 UTC

|1 CONSUL_VERSION=1.14.7 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-06-14 22:38:26 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-06-14 22:38:26 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-06-14 22:38:26 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-06-14 22:38:26 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-06-14 22:38:26 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2023-06-14 22:38:26 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-06-14 22:38:27 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]